# Contributing to Evolution App - iOS client

We want to make contributing to the project as simple as possible,
and we actively welcome and encourage contributions regardless of the size!
If you run into any issues or have additional questions, then open an issue
where one of the team can contact you!

## Pull Requests

1. Fork the repo and create a branch off of the latest version of `development`
2. Make the changes
3. Ensure the project still builds, and no additional warnings are introduced by SwiftLint
4. Commit your changes
5. Open a pull request!

## Versioning

We take advantage of Git tags and GitHub's releases feature in order to tag
when certain versions go out. Changes will only be merged into master once
they're ready to go live.

If a feature requires multiple smaller features then they should all be merged
into an "epic" branch before a final merge and review into master.

## Branching

Unless there is a situation where we need to branch from an older tag to
get an immediate bug fix release out - all features should be branched off of
the latest version of `development`!

Ensure that changes on a branch are pertinent to a single feature. If you are
working on many changes then it may be an idea to break them up.

## Issues

We use GitHub issues to track all public bugs. Please ensure that your issue
description is clear and contains enough information to recreate any bugs. We
highly recommend following the issue template provided.

## Coding Style

We use SwiftLint to enforce Swift style guidelines, please ensure you introduce
no new violations!

## License

By contributing to the Evolution App iOS client, you agree and acknowledge that
your contributions will be licensed under the LICENSE file in the root directory
of this repository.

You will not be required to support any features you introduce, and will be
appropriately credited for your changes.
